Bug 1249600 - No sound from laptop audio jack
No sound from laptop audio jack
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 07:41 EDT by jniederm
Modified: 2016-07-19 13:20 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:20:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jniederm 2015-08-03 07:41:44 EDT
Description of problem:
I use laptop Lenovo T540p with dock station. Audio jack socket of dock station works ok, audio jack socket of laptop itself doesn't produce any sound no matter it is connected to dock or not.

Version-Release number of selected component (if applicable):
# dnf list installed pulseaudio'*'
Installed Packages
pulseaudio.x86_64                               6.0-8.fc22               @System
pulseaudio-gdm-hooks.x86_64                     6.0-8.fc22               @System
pulseaudio-libs.x86_64                          6.0-8.fc22               @System
pulseaudio-libs-glib2.x86_64                    6.0-8.fc22               @System
pulseaudio-module-bluetooth.x86_64              6.0-8.fc22               @System
pulseaudio-module-x11.x86_64                    6.0-8.fc22               @System
pulseaudio-utils.x86_64                         6.0-8.fc22               @System
# uname -r
4.1.3-200.fc22.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Make sure no headphones are connected
2. Boot fedora and sign in
3. Run app producing sound (tested with vlc and firefox)
4. CHECK Sound can be heard from speakers
5. Connect headphones in laptop audio jack socket

Actual results:
silence in headphones

Expected results:
sound can be heard

Additional info:
Previous some update (I'm, not sure what package) it worked exactly oppositely - laptop audio jack socket worked and dock-station audio jack socket worked ok.

# journalctl --this-boot | grep -i pulseaudio
Aug 03 12:56:35 happybox rtkit-daemon[1121]: Successfully made thread 2037 of process 2037 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
Aug 03 12:56:35 happybox rtkit-daemon[1121]: Successfully made thread 2040 of process 2037 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Aug 03 12:56:35 happybox rtkit-daemon[1121]: Successfully made thread 2043 of process 2037 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Aug 03 12:56:35 happybox rtkit-daemon[1121]: Successfully made thread 2046 of process 2037 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Aug 03 12:56:41 happybox rtkit-daemon[1121]: Successfully made thread 2571 of process 2571 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Aug 03 12:56:41 happybox rtkit-daemon[1121]: Successfully made thread 2579 of process 2571 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Aug 03 12:56:42 happybox rtkit-daemon[1121]: Successfully made thread 2584 of process 2571 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Aug 03 12:56:42 happybox rtkit-daemon[1121]: Successfully made thread 2593 of process 2571 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Aug 03 12:56:42 happybox rtkit-daemon[1121]: Successfully made thread 2621 of process 2621 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Aug 03 12:56:42 happybox pulseaudio[2621]: [pulseaudio] pid.c: Daemon already running.
Aug 03 13:14:28 happybox pulseaudio[2037]: [pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.
Aug 03 13:15:13 happybox pulseaudio[2037]: [pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.
Aug 03 13:18:53 happybox pulseaudio[2037]: [pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.
Aug 03 13:19:29 happybox pulseaudio[2037]: [pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.
Aug 03 13:20:13 happybox pulseaudio[2037]: [pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.
Aug 03 13:20:13 happybox pulseaudio[2037]: [pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.

# ps --pid 1121,2621,2037 -o 'user,command'
USER     COMMAND
rtkit    /usr/libexec/rtkit-daemon
gdm      /usr/bin/pulseaudio --start --log-target=syslog
Comment 1 swat30 2015-08-03 15:11:57 EDT
I'm seeing this as well with recent updates:
Transaction performed with:
    Installed     dnf-1.0.1-2.fc22.noarch     @updates
    Installed     rpm-4.12.0.1-12.fc22.x86_64 @updates
Packages Altered:
    Upgraded bind-libs-32:9.10.2-3.P2.fc22.x86_64                       @updates
    Upgrade            32:9.10.2-4.P3.fc22.x86_64                       @updates
    Upgraded bind-libs-lite-32:9.10.2-3.P2.fc22.x86_64                  @updates
    Upgrade                 32:9.10.2-4.P3.fc22.x86_64                  @updates
    Upgraded bind-license-32:9.10.2-3.P2.fc22.noarch                    @updates
    Upgrade               32:9.10.2-4.P3.fc22.noarch                    @updates
    Upgraded bind-utils-32:9.10.2-3.P2.fc22.x86_64                      @updates
    Upgrade             32:9.10.2-4.P3.fc22.x86_64                      @updates
    Upgraded bind99-libs-9.9.7-3.fc22.x86_64                            (unknown)
    Upgrade              9.9.7-6.P2.fc22.x86_64                         @updates
    Upgraded bind99-license-9.9.7-3.fc22.noarch                         (unknown)
    Upgrade                 9.9.7-6.P2.fc22.noarch                      @updates
    Upgraded drpm-0.1.3-4.fc22.x86_64                                   @updates
    Upgrade       0.2.0-2.fc22.x86_64                                   @updates
    Erase    kernel-4.0.6-300.fc22.x86_64                               @updates
    Install  kernel-4.1.3-200.fc22.x86_64                               @updates
    Erase    kernel-core-4.0.6-300.fc22.x86_64                          @updates
    Install  kernel-core-4.1.3-200.fc22.x86_64                          @updates
    Erase    kernel-devel-4.0.6-300.fc22.x86_64                         @updates
    Install  kernel-devel-4.1.3-200.fc22.x86_64                         @updates
    Upgraded kernel-headers-4.1.2-200.fc22.x86_64                       @updates
    Upgrade                 4.1.3-200.fc22.x86_64                       @updates
    Erase    kernel-modules-4.0.6-300.fc22.x86_64                       @updates
    Install  kernel-modules-4.1.3-200.fc22.x86_64                       @updates
    Erase    kernel-modules-extra-4.0.6-300.fc22.x86_64                 @updates
    Install  kernel-modules-extra-4.1.3-200.fc22.x86_64                 @updates
    Erase    kmod-VirtualBox-4.0.6-300.fc22.x86_64-4.3.28-1.fc22.x86_64 @@commandline
    Upgraded libgudev1-219-19.fc22.x86_64                               @updates
    Upgrade            219-20.fc22.x86_64                               @updates
    Upgraded libuser-0.60-6.fc22.x86_64                                 (unknown)
    Upgrade          0.62-1.fc22.x86_64                                 @updates
    Upgraded libuser-python-0.60-6.fc22.x86_64                          (unknown)
    Upgrade                 0.62-1.fc22.x86_64                          @updates
    Upgraded openssh-6.9p1-2.fc22.x86_64                                @updates
    Upgrade          6.9p1-4.fc22.x86_64                                @updates
    Upgraded openssh-askpass-6.9p1-2.fc22.x86_64                        @updates
    Upgrade                  6.9p1-4.fc22.x86_64                        @updates
    Upgraded openssh-clients-6.9p1-2.fc22.x86_64                        @updates
    Upgrade                  6.9p1-4.fc22.x86_64                        @updates
    Upgraded openssh-server-6.9p1-2.fc22.x86_64                         @updates
    Upgrade                 6.9p1-4.fc22.x86_64                         @updates
    Upgraded perl-Module-CoreList-1:5.20150620-1.fc22.noarch            @updates
    Upgrade                       1:5.20150720-1.fc22.noarch            @updates
    Upgraded php-pear-1:1.9.5-7.fc22.noarch                             (unknown)
    Upgrade           1:1.9.5-11.fc22.noarch                            @updates
    Upgraded selinux-policy-3.13.1-128.6.fc22.noarch                    @updates
    Upgrade                 3.13.1-128.8.fc22.noarch                    @updates
    Upgraded selinux-policy-targeted-3.13.1-128.6.fc22.noarch           @updates
    Upgrade                          3.13.1-128.8.fc22.noarch           @updates
    Upgraded shared-mime-info-1.4-2.fc22.x86_64                         (unknown)
    Upgrade                   1.4-6.fc22.x86_64                         @updates
    Upgraded sudo-1.8.14p1-1.fc22.x86_64                                @updates
    Upgrade       1.8.14p3-1.fc22.x86_64                                @updates
    Upgraded systemd-219-19.fc22.x86_64                                 @updates
    Upgrade          219-20.fc22.x86_64                                 @updates
    Upgraded systemd-compat-libs-219-19.fc22.x86_64                     @updates
    Upgrade                      219-20.fc22.x86_64                     @updates
    Upgraded systemd-libs-219-19.fc22.i686                              @updates
    Upgraded systemd-libs-219-19.fc22.x86_64                            @updates
    Upgrade               219-20.fc22.i686                              @updates
    Upgrade               219-20.fc22.x86_64                            @updates
    Upgraded systemd-python-219-19.fc22.x86_64                          @updates
    Upgrade                 219-20.fc22.x86_64                          @updates
    Upgraded systemd-python3-219-19.fc22.x86_64                         @updates
    Upgrade                  219-20.fc22.x86_64                         @updates
    Upgraded webkitgtk4-2.8.4-2.fc22.x86_64                             @updates
    Upgrade             2.8.4-3.fc22.x86_64                             @updates
    Upgraded xorg-x11-server-Xorg-1.17.2-1.fc22.x86_64                  @updates
    Upgrade                       1.17.2-2.fc22.x86_64                  @updates
    Upgraded xorg-x11-server-Xwayland-1.17.2-1.fc22.x86_64              @updates
    Upgrade                           1.17.2-2.fc22.x86_64              @updates
    Upgraded xorg-x11-server-common-1.17.2-1.fc22.x86_64                @updates
    Upgrade                         1.17.2-2.fc22.x86_64                @updates
Scriptlet output:
   1 warning: file /lib/modules/4.0.6-300.fc22.x86_64/updates: remove failed: No such file or directory
Comment 2 Rex Dieter 2015-08-03 15:20:35 EDT
Most likely kernel (audio driver) related then.
Comment 3 swat30 2015-08-03 15:22:22 EDT
That was my guess as well. Let me know if you'd like me to run any tests / provide any additional info.
Comment 4 swat30 2015-08-14 08:27:38 EDT
Just wanted to confirm that I'm still seeing this in latest kernel (4.1.4-200.fc22.x86_64).

Also, if I do a max boost on my headphones, I'm able to hear sound very slightly. It's a whisper.
Comment 5 Rex Dieter 2015-08-14 09:44:40 EDT
Reassigning to alsa-lib (evidence points to kernel/driver problem/regression)
Comment 6 Paulo Fidalgo 2015-08-16 05:36:46 EDT
I'm experiencing the same behaviour as I reported here: 
https://bugzilla.redhat.com/show_bug.cgi?id=1253238

Can you install the 4.0.8 kernel from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=668007

and try if it works, like in my case?
Comment 7 swat30 2015-08-17 16:00:05 EDT
Kernel 4.0.8 works, however it reverts my XPS 15 back to using the headphone jack as opposed to the headset jack. This means that my mic goes through the laptop's instead of my headset's.
Comment 8 Peter Skopek 2015-09-24 03:26:45 EDT
After the latest update of kernel I can experience the same problem.
uname -r
4.1.7-200.fc22.x86_64
dnf list installed pulseaudio'*'
Installed Packages
pulseaudio.x86_64                                        6.0-8.fc22                       @System
pulseaudio-libs.x86_64                                   6.0-8.fc22                       @System
pulseaudio-libs-glib2.x86_64                             6.0-8.fc22                       @System
pulseaudio-module-bluetooth.x86_64                       6.0-8.fc22                       @System
pulseaudio-module-x11.x86_64                             6.0-8.fc22                       @System
pulseaudio-utils.x86_64                                  6.0-8.fc22                       @System
Comment 9 swat30 2015-09-24 16:20:09 EDT
This is still affecting me as well.
Comment 10 John Dennis 2015-09-28 11:50:29 EDT
Just upgraded to kernel 4.1.7-200 on F22 and my audio output problems morphed, but are still broken. I'm on a Lenovo w541 in an Lenovo Ultradock.

It used to be I could only get audio to my speakers if I plugged them directly into headphone jack of the laptop instead of the headphone jack of the docking station.

Now with kernel 4.1.7-200 I can only get audio output from the laptop internal speakers, plugging the speakers into either the headphone jack of the laptop or the docking station completely disables audio output.
Comment 11 Paulo Fidalgo 2015-11-17 05:49:20 EST
Now with Fedora 23 I have made another test and things seems to work right.
Comment 12 John Dennis 2015-11-17 11:43:34 EST
I can confirm as well with F23 audio output with the dock works correctly now.
Comment 13 Paul Eggleton 2016-01-19 13:28:27 EST
I wish I could say the same, but a month ago I upgraded my Lenovo X240 from F21 where I wasn't having headphone issues to F23 where I am, and it's still not working. The current symptoms are as described above - sound from the speakers, but if I plug the headphones into the socket on the laptop then it disables audio output completely. On some reboots it works fine, but that's less often than it being broken. I don't have a docking station so that's not a factor in my case.
Comment 14 Fedora End Of Life 2016-07-19 13:20:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.